import messenger.FXPricingListener;
import messenger.FXPricingMessenger;
import messenger.FXQuote;

public class ExampleSubscriber implements FXPricingListener {

	private static FXPricingMessenger messenger; 
	
	@Override
	public void onConnect() {
		System.out.println("Connected!");
		messenger.subscribe("GBP/USD");
	}

	@Override
	public void onDisconnect() {
		System.out.println("Disconnected!");
	}	
	
	@Override
	public void onPriceUpdate(FXQuote fxQuote) {
		System.out.println(fxQuote);
		
	}
	
	@Override
	public void onSubscriptionError(String currencyPair, String message) {
		System.out.println("Symbol: " + currencyPair + "\n" + message);
		
	}

	public static void main(String[] args) throws Exception {
		ExampleSubscriber listener = new ExampleSubscriber();
		messenger = new FXPricingMessenger(listener);
		messenger.connect();

		System.out.println("waiting for connection...");
		
		while(true){
			Thread.sleep(1000);
		}

	}

}
