import messenger.FXTradeReport;
import messenger.FXTradingListener;
import messenger.FXTradingMessenger;

public class ExampleTrader implements FXTradingListener {

	private static FXTradingMessenger messenger; 
	
	@Override
	public void onConnect() {
		System.out.println("Connected!");
		messenger.executeTrade("username", "ID123", "GBP/USD", 10000.00, FXTradeReport.BUY, 1.52);
	}

	@Override
	public void onDisconnect() {
		System.out.println("Disconnected!");
	}	
	
	@Override
	public void onTradeReport(FXTradeReport fxTradeReport) {
		System.out.println(fxTradeReport);
	}

	public static void main(String[] args) throws Exception {
		ExampleTrader listener = new ExampleTrader();
		messenger = new FXTradingMessenger(listener);
		messenger.connect();

		System.out.println("waiting for connection...");
		
		while(true){
			Thread.sleep(1000);
		}

	}

}
